diff --git a/README.Kolab b/README.Kolab
index 455e5448b..46fc111b5 100644
--- a/README.Kolab
+++ b/README.Kolab
@@ -39,7 +39,7 @@ KAddressBook:
    The scheme for the base DN is to take the parts of the fully
    qualified hostname of the kolab server and put ",dc=" between
    the parts and "dc=" in front of it. Or in Qt code:
-      baseDN = "dc=" + hostname.tqreplace( '.', ",dc=" );
+      baseDN = "dc=" + hostname.replace( '.', ",dc=" );
    Finally check the checkbox to activate the LDAP server. Now
    you can search the Kolab LDAP server and get all users on the
    system.
diff --git a/akregator/COPYING b/akregator/COPYING
index 2ad70b8b1..c13faf0dd 100644
--- a/akregator/COPYING
+++ b/akregator/COPYING
@@ -59,7 +59,7 @@ modification follow.
 		    GNU GENERAL PUBLIC LICENSE
    TERMS AND CONDITIONS FOR COPYING, DISTRIBUTION AND MODIFICATION
 
-  0. This License applies to any program or other work which tqcontains
+  0. This License applies to any program or other work which contains
 a notice placed by the copyright holder saying it may be distributed
 under the terms of this General Public License.  The "Program", below,
 refers to any such program or work, and a "work based on the Program"
@@ -154,7 +154,7 @@ Sections 1 and 2 above provided that you also do one of the following:
 
 The source code for a work means the preferred form of the work for
 making modifications to it.  For an executable work, complete source
-code means all the source code for all modules it tqcontains, plus any
+code means all the source code for all modules it contains, plus any
 associated interface definition files, plus the scripts used to
 control compilation and installation of the executable.  However, as a
 special exception, the source code distributed need not include
diff --git a/akregator/src/actionmanagerimpl.cpp b/akregator/src/actionmanagerimpl.cpp
index 09a9b3cd8..b8c946694 100644
--- a/akregator/src/actionmanagerimpl.cpp
+++ b/akregator/src/actionmanagerimpl.cpp
@@ -148,7 +148,7 @@ void ActionManagerImpl::slotUpdateTagActions(bool enabled, const TQStringList& t
 
         for (TQValueList<TagAction*>::ConstIterator it = actions.begin(); it != actions.end(); ++it)
         {
-            (*it)->setChecked(tagIds.tqcontains((*it)->tag().id()));
+            (*it)->setChecked(tagIds.contains((*it)->tag().id()));
         }
     }
 }
@@ -197,7 +197,7 @@ void ActionManagerImpl::slotTagAdded(const Tag& tag)
     if (!Settings::showTaggingGUI())
         return;
 
-    if (!d->tagActions.tqcontains(tag.id()))
+    if (!d->tagActions.contains(tag.id()))
     {
         d->tagActions[tag.id()] = new TagAction(tag, TQT_TQOBJECT(d->view), TQT_SLOT(slotAssignTag(const Tag&, bool)), d->tagMenu);
         d->tagMenu->insert(d->tagActions[tag.id()]);
diff --git a/akregator/src/addfeeddialog.cpp b/akregator/src/addfeeddialog.cpp
index 8c5f4d4b9..591e0d619 100644
--- a/akregator/src/addfeeddialog.cpp
+++ b/akregator/src/addfeeddialog.cpp
@@ -79,7 +79,7 @@ void AddFeedDialog::slotOk( )
     if (feedURL.startsWith("feed:"))
         feedURL = feedURL.right( feedURL.length() - 5 );
 
-    if (feedURL.tqfind(":/") == -1)
+    if (feedURL.find(":/") == -1)
         feedURL.prepend("http://");
     f->setXmlUrl(feedURL);
 
diff --git a/akregator/src/akregator_part.cpp b/akregator/src/akregator_part.cpp
index 1cfd42b11..bd9f77cfe 100644
--- a/akregator/src/akregator_part.cpp
+++ b/akregator/src/akregator_part.cpp
@@ -522,7 +522,7 @@ bool Part::mergePart(KParts::Part* part)
         {
           if (m_mergedPart) {
             factory()->removeClient(m_mergedPart);
-            if (childClients()->tqcontainsRef(m_mergedPart))
+            if (childClients()->containsRef(m_mergedPart))
               removeChildClient(m_mergedPart);
           }
           if (part)
diff --git a/akregator/src/akregator_view.cpp b/akregator/src/akregator_view.cpp
index c110d305a..c92e4ec26 100644
--- a/akregator/src/akregator_view.cpp
+++ b/akregator/src/akregator_view.cpp
@@ -411,10 +411,10 @@ void View::slotOnShutdown()
 void View::saveSettings()
 {
     const TQValueList<int> spl1 = m_horizontalSplitter->sizes();
-    if ( spl1.tqcontains( 0 ) == 0 )
+    if ( spl1.contains( 0 ) == 0 )
         Settings::setSplitter1Sizes( spl1 );
     const TQValueList<int> spl2 = m_articleSplitter->sizes();
-    if ( spl2.tqcontains( 0 ) == 0 )
+    if ( spl2.contains( 0 ) == 0 )
         Settings::setSplitter2Sizes( spl2 );
     Settings::setViewMode( m_viewMode );
     Settings::writeConfig();
@@ -1329,7 +1329,7 @@ void View::slotArticleDelete()
         for (TQValueList<Article>::Iterator it = articles.begin(); it != articles.end(); ++it)
         {
             Feed* feed = (*it).feed();
-            if (!feeds.tqcontains(feed))
+            if (!feeds.contains(feed))
                 feeds.append(feed);
             feed->setNotificationMode(false);
             (*it).setDeleted();
@@ -1529,7 +1529,7 @@ void View::updateTagActions()
         TQStringList atags = (*it).tags();
         for (TQStringList::ConstIterator it2 = atags.begin(); it2 != atags.end(); ++it2)
         {
-            if (!tags.tqcontains(*it2))
+            if (!tags.contains(*it2))
                 tags += *it2;
         }
     }
diff --git a/akregator/src/article.cpp b/akregator/src/article.cpp
index c0151af39..3b7f321a9 100644
--- a/akregator/src/article.cpp
+++ b/akregator/src/article.cpp
@@ -102,7 +102,7 @@ void Article::initialize(RSS::Article article, Backend::FeedStorage* archive)
 
     d->guid = article.guid();
     
-    if (!d->archive->tqcontains(d->guid))
+    if (!d->archive->contains(d->guid))
     {
         d->archive->addEntry(d->guid);
 
@@ -425,7 +425,7 @@ void Article::removeTag(const TQString& tag)
 
 bool Article::hasTag(const TQString& tag) const
 {
-    return d->archive->tags(d->guid).tqcontains(tag);
+    return d->archive->tags(d->guid).contains(tag);
 }
 
 TQStringList Article::tags() const
@@ -453,7 +453,7 @@ TQString Article::buildTitle(const TQString& description)
     if (description.stripWhiteSpace().isEmpty())
         return "";
         
-    int i = s.tqfind('>',500); /*avoid processing too much */
+    int i = s.find('>',500); /*avoid processing too much */
     if (i != -1)
         s = s.left(i+1);
     TQRegExp rx("(<([^\\s>]*)(?:[^>]*)>)[^<]*", false);
@@ -470,7 +470,7 @@ TQString Article::buildTitle(const TQString& description)
         }
         else
             toReplace=rx.cap(1);  // strip just tag
-        s=s.tqreplace(s.tqfind(toReplace),toReplace.length(),replaceWith); // do the deed
+        s=s.replace(s.find(toReplace),toReplace.length(),replaceWith); // do the deed
     }
     if (s.length()> 90)
         s=s.left(90)+"...";
diff --git a/akregator/src/articlefilter.cpp b/akregator/src/articlefilter.cpp
index e8e36f076..715ede193 100644
--- a/akregator/src/articlefilter.cpp
+++ b/akregator/src/articlefilter.cpp
@@ -179,7 +179,7 @@ bool Criterion::satisfiedBy( const Article &article ) const
 
     switch ( predicateType ) {
         case Contains:
-            satisfied = concreteSubject.toString().tqfind( m_object.toString(), 0, false ) != -1;
+            satisfied = concreteSubject.toString().find( m_object.toString(), 0, false ) != -1;
             break;
         case Equals:
             if (subjectType=="int")
diff --git a/akregator/src/articlelistview.cpp b/akregator/src/articlelistview.cpp
index 68e41730d..ecf262285 100644
--- a/akregator/src/articlelistview.cpp
+++ b/akregator/src/articlelistview.cpp
@@ -354,7 +354,7 @@ void ArticleListView::slotArticlesAdded(TreeNode* /*node*/, const TQValueList<Ar
     
     for (TQValueList<Article>::ConstIterator it = list.begin(); it != list.end(); ++it)
     {
-        if (!d->articleMap.tqcontains(*it))
+        if (!d->articleMap.contains(*it))
         {
             if (!(*it).isNull() && !(*it).isDeleted())
             {
@@ -385,7 +385,7 @@ void ArticleListView::slotArticlesUpdated(TreeNode* /*node*/, const TQValueList<
     for (TQValueList<Article>::ConstIterator it = list.begin(); it != list.end(); ++it)
     {
         
-        if (!(*it).isNull() && d->articleMap.tqcontains(*it))
+        if (!(*it).isNull() && d->articleMap.contains(*it))
         {
             ArticleItem* ali = d->articleMap[*it];
 
@@ -447,7 +447,7 @@ void ArticleListView::slotArticlesRemoved(TreeNode* /*node*/, const TQValueList<
     
     for (TQValueList<Article>::ConstIterator it = list.begin(); it != list.end(); ++it)
     {
-        if (d->articleMap.tqcontains(*it))
+        if (d->articleMap.contains(*it))
         {
             ArticleItem* ali = d->articleMap[*it];
             d->articleMap.remove(*it);
diff --git a/akregator/src/articleviewer.cpp b/akregator/src/articleviewer.cpp
index a6ab467d8..977abc99d 100644
--- a/akregator/src/articleviewer.cpp
+++ b/akregator/src/articleviewer.cpp
@@ -87,7 +87,7 @@ class ArticleViewer::ShowSummaryVisitor : public TreeNodeVisitor
         {
             text += TQString("<div class=\"body\">");
             TQString url=node->xmlUrl();
-            TQString file = url.tqreplace("/", "_").tqreplace(":", "_");
+            TQString file = url.replace("/", "_").replace(":", "_");
             KURL u(m_view->m_imageDir);
             u.setFileName(file);
             text += TQString("<a href=\"%1\"><img class=\"headimage\" src=\"%2.png\"></a>\n").tqarg(node->htmlUrl()).tqarg(u.url());
@@ -410,7 +410,7 @@ TQString ArticleViewer::formatArticleNormalMode(Feed* feed, const Article& artic
         text += TQString("<div class=\"headertitle\" dir=\"%1\">\n").tqarg(directionOf(Utils::stripTags(article.title())));
         if (article.link().isValid())
             text += "<a href=\""+article.link().url()+"\">";
-        text += article.title().tqreplace("<", "&lt;").tqreplace(">", "&gt;"); // TODO: better leave things escaped in the parser
+        text += article.title().replace("<", "&lt;").replace(">", "&gt;"); // TODO: better leave things escaped in the parser
         if (article.link().isValid())
             text += "</a>";
         text += "</div>\n";
@@ -505,7 +505,7 @@ TQString ArticleViewer::formatArticleCombinedMode(Feed* feed, const Article& art
         text += TQString("<div class=\"headertitle\" dir=\"%1\">\n").tqarg(directionOf(Utils::stripTags(article.title())));
         if (link.isValid())
             text += "<a href=\""+link.url()+"\">";
-        text += article.title().tqreplace("<", "&lt;").tqreplace(">", "&gt;"); // TODO: better leave things escaped in the parser
+        text += article.title().replace("<", "&lt;").replace(">", "&gt;"); // TODO: better leave things escaped in the parser
         if (link.isValid())
             text += "</a>";
         text += "</div>\n";
diff --git a/akregator/src/articleviewer.rc b/akregator/src/articleviewer.rc
index a74bdf5cb..5b61457b2 100644
--- a/akregator/src/articleviewer.rc
+++ b/akregator/src/articleviewer.rc
@@ -11,7 +11,7 @@
   <Action name="viewer_copy"/>
   <Action name="selectAll"/>
   <Separator/> 
-  <Action name="tqfind"/>
+  <Action name="find"/>
   <Action name="findNext"/>
 </Menu> 
 <Menu noMerge="1" name="view">
diff --git a/akregator/src/feed.cpp b/akregator/src/feed.cpp
index 8e0c4c90c..2188b3843 100644
--- a/akregator/src/feed.cpp
+++ b/akregator/src/feed.cpp
@@ -87,7 +87,7 @@ class Feed::FeedPrivate
         /** caches guids of tagged articles. key: tag, value: list of guids */
         TQMap<TQString, TQStringList> taggedArticles;
 
-        /** list of deleted articles. This tqcontains **/
+        /** list of deleted articles. This contains **/
         TQValueList<Article> deletedArticles;
         
         /** caches guids of deleted articles for notification */
@@ -450,7 +450,7 @@ void Feed::appendArticles(const RSS::Document &doc)
 
     for (it = d_articles.begin(); it != en; ++it)
     {
-        if ( !d->articles.tqcontains((*it).guid()) ) // article not in list
+        if ( !d->articles.contains((*it).guid()) ) // article not in list
         {
             Article mya(*it, this);
             mya.offsetPubDate(nudge);
@@ -535,7 +535,7 @@ void Feed::appendArticle(const Article& a)
 {
     if ( (a.keep() && Settings::doNotExpireImportantArticles()) || ( !usesExpiryByAge() || !isExpired(a) ) ) // if not expired
     {
-        if (!d->articles.tqcontains(a.guid()))
+        if (!d->articles.contains(a.guid()))
         {
             d->articles[a.guid()] = a;
             if (!a.isDeleted() && a.status() != Article::Read)
@@ -726,10 +726,10 @@ void Feed::setUnread(int unread)
 
 void Feed::setArticleDeleted(Article& a)
 {
-    if (!d->deletedArticles.tqcontains(a))
+    if (!d->deletedArticles.contains(a))
         d->deletedArticles.append(a);
 
-    if (!d->removedArticlesNotify.tqcontains(a))
+    if (!d->removedArticlesNotify.contains(a))
         d->removedArticlesNotify.append(a);
 
     articlesModified();
diff --git a/akregator/src/feediconmanager.cpp b/akregator/src/feediconmanager.cpp
index adc3fce42..ba75561ea 100644
--- a/akregator/src/feediconmanager.cpp
+++ b/akregator/src/feediconmanager.cpp
@@ -59,7 +59,7 @@ FeedIconManager* FeedIconManager::self()
 
 void FeedIconManager::fetchIcon(Feed* feed)
 {
-    if (!d->registeredFeeds.tqcontains(feed))
+    if (!d->registeredFeeds.contains(feed))
     {
         d->registeredFeeds.append(feed);
         connect(feed, TQT_SIGNAL(signalDestroyed(TreeNode*)), this, TQT_SLOT(slotFeedDestroyed(TreeNode*)));
@@ -133,8 +133,8 @@ void FeedIconManager::slotFeedDestroyed(TreeNode* node)
 {
     Feed* feed = dynamic_cast<Feed*>(node);
     if (feed)
-        while (d->registeredFeeds.tqcontains(feed))
-            d->registeredFeeds.remove(d->registeredFeeds.tqfind(feed));
+        while (d->registeredFeeds.contains(feed))
+            d->registeredFeeds.remove(d->registeredFeeds.find(feed));
 }
 
 void FeedIconManager::slotIconChanged(bool /*isHost*/, const TQString& hostOrURL,
@@ -147,7 +147,7 @@ void FeedIconManager::slotIconChanged(bool /*isHost*/, const TQString& hostOrURL
     if (!p.isNull()) // we don't set null pixmaps, as feed checks pixmap.isNull() to find out whether the icon was already loaded or not. It would request the icon another time, resulting an infinite loop (until stack overflow that is
     {
         while (( f = d->urlDict.take(hostOrURL) ))
-            if (d->registeredFeeds.tqcontains(f))
+            if (d->registeredFeeds.contains(f))
                 f->setFavicon(p);
     }
     emit signalIconChanged(hostOrURL, iconFile);
diff --git a/akregator/src/feedlist.cpp b/akregator/src/feedlist.cpp
index 50496d8bc..72db09113 100644
--- a/akregator/src/feedlist.cpp
+++ b/akregator/src/feedlist.cpp
@@ -117,7 +117,7 @@ void FeedList::parseChildNodes(TQDomNode &node, Folder* tqparent)
             Feed* feed = Feed::fromOPML(e);
             if (feed)
             {
-                if (!d->urlMap[feed->xmlUrl()].tqcontains(feed))
+                if (!d->urlMap[feed->xmlUrl()].contains(feed))
                     d->urlMap[feed->xmlUrl()].append(feed);
                 tqparent->appendChild(feed);
             }
@@ -219,7 +219,7 @@ void FeedList::append(FeedList* list, Folder* tqparent, TreeNode* after)
     if ( list == this )
         return;
 
-    if ( !flatList()->tqcontains(tqparent) )
+    if ( !flatList()->contains(tqparent) )
         tqparent = rootNode();
 
     TQValueList<TreeNode*> tqchildren = list->rootNode()->tqchildren();
diff --git a/akregator/src/feedlistview.cpp b/akregator/src/feedlistview.cpp
index a891445fc..fa33b89da 100644
--- a/akregator/src/feedlistview.cpp
+++ b/akregator/src/feedlistview.cpp
@@ -457,12 +457,12 @@ TreeNode* NodeListView::findNodeByTitle(const TQString& title)
 
 TreeNodeItem* NodeListView::findNodeItem(TreeNode* node)
 {
-    return d->itemDict.tqfind(node);
+    return d->itemDict.find(node);
 }
 
 TreeNodeItem* NodeListView::findItemByTitle(const TQString& text, int column, ComparisonFlags compare) const
 { 
-    return dynamic_cast<TreeNodeItem*> (KListView::tqfindItem(text, column, compare)); 
+    return dynamic_cast<TreeNodeItem*> (KListView::findItem(text, column, compare)); 
 }
 
 void NodeListView::ensureNodeVisible(TreeNode* node)
diff --git a/akregator/src/feedstorage.h b/akregator/src/feedstorage.h
index c0685695a..32e6c0587 100644
--- a/akregator/src/feedstorage.h
+++ b/akregator/src/feedstorage.h
@@ -92,7 +92,7 @@ class AKREGATOR_EXPORT FeedStorage : public TQObject
         virtual void clear() = 0;
 
         
-        virtual bool tqcontains(const TQString& guid) = 0;
+        virtual bool contains(const TQString& guid) = 0;
         virtual void addEntry(const TQString& guid) = 0;
         virtual void deleteArticle(const TQString& guid) = 0;
         virtual int comments(const TQString& guid) = 0;
diff --git a/akregator/src/feedstoragedummyimpl.cpp b/akregator/src/feedstoragedummyimpl.cpp
index 9d7b8e125..5ae572a82 100644
--- a/akregator/src/feedstoragedummyimpl.cpp
+++ b/akregator/src/feedstoragedummyimpl.cpp
@@ -147,21 +147,21 @@ TQStringList FeedStorageDummyImpl::articles(const Category& cat)
 
 void FeedStorageDummyImpl::addEntry(const TQString& guid)
 {
-    if (!d->entries.tqcontains(guid))
+    if (!d->entries.contains(guid))
     {
         d->entries[guid] = FeedStorageDummyImplPrivate::Entry();
         setTotalCount(totalCount()+1);
     }
 }
 
-bool FeedStorageDummyImpl::tqcontains(const TQString& guid)
+bool FeedStorageDummyImpl::contains(const TQString& guid)
 {
-    return d->entries.tqcontains(guid);
+    return d->entries.contains(guid);
 }
 
 void FeedStorageDummyImpl::deleteArticle(const TQString& guid)
 {
-    if (!d->entries.tqcontains(guid))
+    if (!d->entries.contains(guid))
         return;
 
     setDeleted(guid);
@@ -172,33 +172,33 @@ void FeedStorageDummyImpl::deleteArticle(const TQString& guid)
 int FeedStorageDummyImpl::comments(const TQString& guid)
 {
     
-    return tqcontains(guid) ? d->entries[guid].comments : 0;
+    return contains(guid) ? d->entries[guid].comments : 0;
 }
 
 TQString FeedStorageDummyImpl::commentsLink(const TQString& guid)
 {
-    return tqcontains(guid) ? d->entries[guid].commentsLink : "";
+    return contains(guid) ? d->entries[guid].commentsLink : "";
 }
 
 bool FeedStorageDummyImpl::guidIsHash(const TQString& guid)
 {
-    return tqcontains(guid) ? d->entries[guid].guidIsHash : false;
+    return contains(guid) ? d->entries[guid].guidIsHash : false;
 }
 
 bool FeedStorageDummyImpl::guidIsPermaLink(const TQString& guid)
 {
-    return tqcontains(guid) ? d->entries[guid].guidIsPermaLink : false;
+    return contains(guid) ? d->entries[guid].guidIsPermaLink : false;
 }
 
 uint FeedStorageDummyImpl::hash(const TQString& guid)
 {
-    return tqcontains(guid) ? d->entries[guid].hash : 0;
+    return contains(guid) ? d->entries[guid].hash : 0;
 }
 
 
 void FeedStorageDummyImpl::setDeleted(const TQString& guid)
 {
-    if (!tqcontains(guid))
+    if (!contains(guid))
         return;
 
     FeedStorageDummyImplPrivate::Entry entry = d->entries[guid];
@@ -233,99 +233,99 @@ void FeedStorageDummyImpl::setDeleted(const TQString& guid)
 
 TQString FeedStorageDummyImpl::link(const TQString& guid)
 {
-    return tqcontains(guid) ? d->entries[guid].link : "";
+    return contains(guid) ? d->entries[guid].link : "";
 }
 
 uint FeedStorageDummyImpl::pubDate(const TQString& guid)
 {
-    return tqcontains(guid) ? d->entries[guid].pubDate : 0;
+    return contains(guid) ? d->entries[guid].pubDate : 0;
 }
 
 int FeedStorageDummyImpl::status(const TQString& guid)
 {
-    return tqcontains(guid) ? d->entries[guid].status : 0;
+    return contains(guid) ? d->entries[guid].status : 0;
 }
 
 void FeedStorageDummyImpl::setqStatus(const TQString& guid, int status)
 {
-    if (tqcontains(guid))
+    if (contains(guid))
         d->entries[guid].status = status;
 }
 
 TQString FeedStorageDummyImpl::title(const TQString& guid)
 {
-    return tqcontains(guid) ? d->entries[guid].title : "";
+    return contains(guid) ? d->entries[guid].title : "";
 }
 
 TQString FeedStorageDummyImpl::description(const TQString& guid)
 {
-    return tqcontains(guid) ? d->entries[guid].description : "";
+    return contains(guid) ? d->entries[guid].description : "";
 }
 
 
 void FeedStorageDummyImpl::setPubDate(const TQString& guid, uint pubdate)
 {
-    if (tqcontains(guid))
+    if (contains(guid))
         d->entries[guid].pubDate = pubdate;
 }
 
 void FeedStorageDummyImpl::setGuidIsHash(const TQString& guid, bool isHash)
 {
-    if (tqcontains(guid))
+    if (contains(guid))
         d->entries[guid].guidIsHash = isHash;
 }
 
 void FeedStorageDummyImpl::setLink(const TQString& guid, const TQString& link)
 {
-    if (tqcontains(guid))
+    if (contains(guid))
         d->entries[guid].link = link;
 }
 
 void FeedStorageDummyImpl::setHash(const TQString& guid, uint hash)
 {
-    if (tqcontains(guid))
+    if (contains(guid))
         d->entries[guid].hash = hash;
 }
 
 void FeedStorageDummyImpl::setTitle(const TQString& guid, const TQString& title)
 {
-    if (tqcontains(guid))
+    if (contains(guid))
         d->entries[guid].title = title;
 }
 
 void FeedStorageDummyImpl::setDescription(const TQString& guid, const TQString& description)
 {
-    if (tqcontains(guid))
+    if (contains(guid))
         d->entries[guid].description = description;
 }
 
 void FeedStorageDummyImpl::setCommentsLink(const TQString& guid, const TQString& commentsLink)
 {
-    if (tqcontains(guid))
+    if (contains(guid))
         d->entries[guid].commentsLink = commentsLink;
 }
 
 void FeedStorageDummyImpl::setComments(const TQString& guid, int comments)
 {
-    if (tqcontains(guid))
+    if (contains(guid))
         d->entries[guid].comments = comments;
 }
 
 
 void FeedStorageDummyImpl::setGuidIsPermaLink(const TQString& guid, bool isPermaLink)
 {
-    if (tqcontains(guid))
+    if (contains(guid))
         d->entries[guid].guidIsPermaLink = isPermaLink;
 }
 
 void FeedStorageDummyImpl::addTag(const TQString& guid, const TQString& tag)
 {
-    if (tqcontains(guid))
+    if (contains(guid))
     {
         d->entries[guid].tags.append(tag);
-        if (!d->taggedArticles[tag].tqcontains(guid))
+        if (!d->taggedArticles[tag].contains(guid))
             d->taggedArticles[tag].append(guid);
-        if (!d->tags.tqcontains(tag))
+        if (!d->tags.contains(tag))
             d->tags.append(tag);
     }
 
@@ -333,7 +333,7 @@ void FeedStorageDummyImpl::addTag(const TQString& guid, const TQString& tag)
 
 void FeedStorageDummyImpl::addCategory(const TQString& guid, const Category& cat)
 {
-    if (!tqcontains(guid))
+    if (!contains(guid))
         return;
 
     d->entries[guid].categories.append(cat);
@@ -345,19 +345,19 @@ void FeedStorageDummyImpl::addCategory(const TQString& guid, const Category& cat
 
 void FeedStorageDummyImpl::setAuthor(const TQString& guid, const TQString& author)
 {
-    if (tqcontains(guid))
+    if (contains(guid))
         d->entries[guid].author = author;
 }
 
 TQString FeedStorageDummyImpl::author(const TQString& guid)
 {
-    return tqcontains(guid) ? d->entries[guid].author : TQString();
+    return contains(guid) ? d->entries[guid].author : TQString();
 }
 
 TQValueList<Category> FeedStorageDummyImpl::categories(const TQString& guid)
 {
   if (!guid.isNull())
-        return tqcontains(guid) ? d->entries[guid].categories : TQValueList<Category>();
+        return contains(guid) ? d->entries[guid].categories : TQValueList<Category>();
     else
         return d->categories;
 }
@@ -365,7 +365,7 @@ TQValueList<Category> FeedStorageDummyImpl::categories(const TQString& guid)
 
 void FeedStorageDummyImpl::removeTag(const TQString& guid, const TQString& tag)
 {
-    if (tqcontains(guid))
+    if (contains(guid))
     {
         d->entries[guid].tags.remove(tag);
         d->taggedArticles[tag].remove(guid);
@@ -377,7 +377,7 @@ void FeedStorageDummyImpl::removeTag(const TQString& guid, const TQString& tag)
 TQStringList FeedStorageDummyImpl::tags(const TQString& guid)
 {
     if (!guid.isNull())
-        return tqcontains(guid) ? d->entries[guid].tags : TQStringList();
+        return contains(guid) ? d->entries[guid].tags : TQStringList();
     else
     {
         return d->tags;
@@ -396,7 +396,7 @@ void FeedStorageDummyImpl::add(FeedStorage* source)
 
 void FeedStorageDummyImpl::copyArticle(const TQString& guid, FeedStorage* source)
 {
-    if (!tqcontains(guid))
+    if (!contains(guid))
         addEntry(guid);
 
     setComments(guid, source->comments(guid));
@@ -424,7 +424,7 @@ void FeedStorageDummyImpl::clear()
 
 void FeedStorageDummyImpl::setEnclosure(const TQString& guid, const TQString& url, const TQString& type, int length)
 {
-    if (tqcontains(guid))
+    if (contains(guid))
     {
         FeedStorageDummyImplPrivate::Entry entry = d->entries[guid];
         entry.hasEnclosure = true;
@@ -436,7 +436,7 @@ void FeedStorageDummyImpl::setEnclosure(const TQString& guid, const TQString& ur
 
 void FeedStorageDummyImpl::removeEnclosure(const TQString& guid)
 {
-    if (tqcontains(guid))
+    if (contains(guid))
     {
         FeedStorageDummyImplPrivate::Entry entry = d->entries[guid];
         entry.hasEnclosure = false;
@@ -448,7 +448,7 @@ void FeedStorageDummyImpl::removeEnclosure(const TQString& guid)
 
 void FeedStorageDummyImpl::enclosure(const TQString& guid, bool& hasEnclosure, TQString& url, TQString& type, int& length)
 {
-    if (tqcontains(guid))
+    if (contains(guid))
     {
         FeedStorageDummyImplPrivate::Entry entry = d->entries[guid];
         hasEnclosure = entry.hasEnclosure;
diff --git a/akregator/src/feedstoragedummyimpl.h b/akregator/src/feedstoragedummyimpl.h
index 4ba4a4606..bd71a11c8 100644
--- a/akregator/src/feedstoragedummyimpl.h
+++ b/akregator/src/feedstoragedummyimpl.h
@@ -50,7 +50,7 @@ class FeedStorageDummyImpl : public FeedStorage
         virtual TQStringList articles(const Category& cat);
 
 
-        virtual bool tqcontains(const TQString& guid);
+        virtual bool contains(const TQString& guid);
         virtual void addEntry(const TQString& guid);
         virtual void deleteArticle(const TQString& guid);
         virtual int comments(const TQString& guid);
diff --git a/akregator/src/fetchqueue.cpp b/akregator/src/fetchqueue.cpp
index d171d25ed..c00abe2e5 100644
--- a/akregator/src/fetchqueue.cpp
+++ b/akregator/src/fetchqueue.cpp
@@ -72,7 +72,7 @@ void FetchQueue::slotAbort()
 
 void FetchQueue::addFeed(Feed *f)
 {
-    if (!d->queuedFeeds.tqcontains(f) && !d->fetchingFeeds.tqcontains(f))
+    if (!d->queuedFeeds.contains(f) && !d->fetchingFeeds.contains(f))
     {
         connectToFeed(f);
         d->queuedFeeds.append(f);
diff --git a/akregator/src/folder.cpp b/akregator/src/folder.cpp
index d55c75aec..2a0f2776e 100644
--- a/akregator/src/folder.cpp
+++ b/akregator/src/folder.cpp
@@ -99,7 +99,7 @@ TQStringList Folder::tags() const
         // intersect tag sets instead of appending lists, to avoid dupes. This sucks. Definitely. I want TQSet. Now.
         TQStringList t2 = (*it)->tags();
         for (TQStringList::ConstIterator it2 = t2.begin(); it2 != t2.end(); ++it2)
-            if (!t.tqcontains(*it2))
+            if (!t.contains(*it2))
                 t.append(*it2);
     } 
     return t;
@@ -137,7 +137,7 @@ TQValueList<TreeNode*> Folder::tqchildren() const
 
 void Folder::insertChild(TreeNode* node, TreeNode* after)
 {
-    int pos = d->tqchildren.tqfindIndex(after);
+    int pos = d->tqchildren.findIndex(after);
     
     if (pos < 0)
         prependChild(node);
@@ -202,7 +202,7 @@ void Folder::prependChild(TreeNode* node)
 void Folder::removeChild(TreeNode* node)
 {
 //    kdDebug() << "enter Folder::removeChild() node:" << (node ? node->title() : "null") << endl;
-    if (node && d->tqchildren.tqcontains(node))
+    if (node && d->tqchildren.contains(node))
     {    
         node->setParent(0);
         d->tqchildren.remove(node);
diff --git a/akregator/src/frame.cpp b/akregator/src/frame.cpp
index 55fac570e..e800bafda 100644
--- a/akregator/src/frame.cpp
+++ b/akregator/src/frame.cpp
@@ -123,7 +123,7 @@ void Frame::setCaption(const TQString &s)
 void Frame::seStatusText(const TQString &s)
 {
     m_statusText=s;
-    m_statusText.tqreplace(TQRegExp("<[^>]*>"), "");
+    m_statusText.replace(TQRegExp("<[^>]*>"), "");
     emit statusText(m_statusText);
 }
 
